## org.eclipse.emf.codegen.ecore.genmodel
Interface GenBase

All Superinterfaces:
  EObject, Notifier

All Known Subinterfaces:
  GenAnnotation, GenClass, GenClassifier, GenDataType, GenEnum, GenEnumLiteral, GenFeature, GenModel, GenOperation, GenPackage, GenParameter, GenTypedElement, GenTypeParameter

All Known Implementing Classes:
  GenAnnotationImpl, GenBaseImpl, GenClassifierImpl, GenClassImpl, GenDataTypeImpl, GenEnumImpl, GenEnumLiteralImpl, GenFeatureImpl, GenModelImpl, GenOperationImpl, GenPackageImpl, GenParameterImpl, GenTypedElementImpl, GenTypeParameterImpl

    public interface GenBase

extends EObject

A representation of the model object 'Gen Base'.

The following features are supported:

- `Gen Annotations`

See Also:
  `GenModelPackage.getGenBase()`

Method Summary
`boolean` `canGenerate()`
`boolean` `canGenerateEdit()`
`boolean` `canGenerateEditor()`
`boolean` `canGenerateSchema()` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`boolean` `canGenerateTests()`
`java.lang.String` `capName(java.lang.String name)`
`java.lang.String` `format(java.lang.String name, char separator, java.lang.String prefix, boolean includePrefix)` Deprecated. in 2.2. Please use `CodeGenUtil.format(String, char, String, boolean, boolean)` instead.
`void` `gen(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `genEdit(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `genEditor(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generate(IProgressMonitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generate(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateEdit(IProgressMonitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateEdit(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateEditor(IProgressMonitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateEditor(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateSchema(IProgressMonitor progressMonitor)` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`void` `generateSchema(Monitor progressMonitor)` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`void` `generateTests(IProgressMonitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateTests(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `genSchema(Monitor progressMonitor)` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`void` `genTests(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`java.lang.String` `getCopyright(java.lang.String indentation)`
`java.lang.String` `getDocumentation(java.lang.String indentation)`
`EModelElement` `getEcoreModelElement()`
`GenAnnotation` `getGenAnnotation(java.lang.String source)`
`EList<GenAnnotation>` `getGenAnnotations()` Returns the value of the 'Gen Annotations' containment reference list.
`GenModel` `getGenModel()`
`boolean` `hasCopyright()`
`boolean` `hasDocumentation()`
`boolean` `reconcile()`
`java.lang.String` `safeName(java.lang.String name)`
`java.lang.String` `uncapName(java.lang.String name)`
`java.lang.String` `uncapPrefixedName(java.lang.String in)`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGenAnnotations

    EList<GenAnnotation> getGenAnnotations()

  Returns the value of the 'Gen Annotations' containment reference list. The list contents are of type `GenAnnotation`. It is bidirectional and its opposite is '`Gen Base`'.

  Returns:
    the value of the 'Gen Annotations' containment reference list.
  See Also:
    `GenModelPackage.getGenBase_GenAnnotations()`, `GenAnnotation.getGenBase()`

### getGenAnnotation

    GenAnnotation getGenAnnotation(java.lang.String source)

### getGenModel

    GenModel getGenModel()

### capName

    java.lang.String capName(java.lang.String name)

### uncapName

    java.lang.String uncapName(java.lang.String name)

### uncapPrefixedName

    java.lang.String uncapPrefixedName(java.lang.String in)

### safeName

    java.lang.String safeName(java.lang.String name)

### format

    @Deprecated
    java.lang.String format(java.lang.String name,
                                       char separator,
                                       java.lang.String prefix,
                                       boolean includePrefix)

  Deprecated. in 2.2. Please use `CodeGenUtil.format(String, char, String, boolean, boolean)` instead.

### canGenerate

    boolean canGenerate()

### generate

    @Deprecated
    void generate(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### gen

    @Deprecated
    void gen(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### generate

    @Deprecated
    void generate(IProgressMonitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### canGenerateEdit

    boolean canGenerateEdit()

### generateEdit

    @Deprecated
    void generateEdit(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### genEdit

    @Deprecated
    void genEdit(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### generateEdit

    @Deprecated
    void generateEdit(IProgressMonitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### canGenerateEditor

    boolean canGenerateEditor()

### generateEditor

    @Deprecated
    void generateEditor(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### genEditor

    @Deprecated
    void genEditor(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### generateEditor

    @Deprecated
    void generateEditor(IProgressMonitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### canGenerateSchema

    @Deprecated
    boolean canGenerateSchema()

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

### generateSchema

    @Deprecated
    void generateSchema(Monitor progressMonitor)

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

### genSchema

    @Deprecated
    void genSchema(Monitor progressMonitor)

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

### generateSchema

    @Deprecated
    void generateSchema(IProgressMonitor progressMonitor)

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

### canGenerateTests

    boolean canGenerateTests()

### generateTests

    @Deprecated
    void generateTests(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### genTests

    @Deprecated
    void genTests(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### generateTests

    @Deprecated
    void generateTests(IProgressMonitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### reconcile

    boolean reconcile()

### hasDocumentation

    boolean hasDocumentation()

### getDocumentation

    java.lang.String getDocumentation(java.lang.String indentation)

### getEcoreModelElement

    EModelElement getEcoreModelElement()

### hasCopyright

    boolean hasCopyright()

  Since:
    2.3

### getCopyright

    java.lang.String getCopyright(java.lang.String indentation)

  Since:
    2.3

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.